%define libsoup_version_required 2.2.3
%define api_version 1.2
%define lib_major 4
%define lib_name %mklibname %{name} %{lib_major}
%define firefox_version 1.0.1

Name:		evolution-data-server
Summary:	Evolution Data Server
Version: 1.2.3
Release: 7mdk
License: 	GPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (gw) 1.2.2-1mdk fix build with firefox
Patch0:		evolution-data-server-1.1.6-firefox.patch.bz2
# (fc) 1.2.2-2mdk fix location of eds daemon (Mdk bug #15593)
Patch1:		evolution-data-server-1.2.2-libexecdir.patch.bz2
Patch2: evolution-data-server-1.2.3-missing-prototype.patch.bz2
# (fc) 1.2.3-4mdk fix i18n not initialised correctly for camel
Patch3:		evolution-data-server-1.2.3-i18ninit.patch.bz2
# (fc) 1.2.3-7mdk crashers fixes from CVS
Patch4:		evolution-data-server-1.2.3-cvsfixes.patch.bz2
URL: 		http://www.novell.com/products/evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: automake1.7
BuildRequires: bison flex
BuildRequires: gnome-common
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: krb5-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libsoup-devel >= %{libsoup_version_required}
BuildRequires: nss-devel >= %{firefox_version}
BuildRequires: nspr-devel >= %{firefox_version}
BuildRequires: openldap-devel 
BuildRequires: perl-XML-Parser


%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{lib_name}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{lib_name}-devel
Summary:	Libraries and include files for using Evolution Data Server
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires: nss-devel >= %{firefox_version}
Requires: nspr-devel >= %{firefox_version}
%define _requires_exceptions nspr4\\|plc4\\|plds4\\|nss3\\|smime3\\|softokn3\\|ssl3

%description -n %{lib_name}-devel
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%prep
%setup -q
%patch0 -p1 -b .firefox
%patch1 -p1 -b .libexecdir
%patch2 -p1 -b .prototype
%patch3 -p1 -b .i18ninit
%patch4 -p1 -b .cvsfixes

#needed by patch3
aclocal-1.7
automake-1.7
#needed by patch0
autoconf

%build

%configure2_5x --with-krb5=%{_prefix} --with-krb5-libs=%{_libdir} \
--without-krb4 \
--with-openldap=yes --with-static-ldap=no --enable-gtk-doc=yes

#parallel build is broken
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std


%{find_lang} %{name}-1.2

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}-1.2.lang
%defattr(-, root, root)
%doc COPYING ChangeLog 
%{_libexecdir}/%{name}-%{api_version}
%{_libexecdir}/camel-index-control-%{api_version}
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/%{name}-%{api_version}
%{_datadir}/%{name}-%{api_version}
%{_datadir}/pixmaps/%{name}-%{api_version}

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}-%{api_version}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-7mdk 
- Patch4 (CVS): various fixes (mainly crashers)

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.3-6mdk
- Rebuild for new libldap-2.2

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.3-5mdk
- add BuildRequires: intltool gnome-common

* Mon Jul 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-4mdk 
- Patch3: fix i18n not initialised correctly in camel

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.3-3mdk
- built without krb4

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.3-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Sun Jun  5 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-1mdk
- small build patch
- New release 1.2.3

* Tue May 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-7mdk 
- Enable kerberos support (Mdk bug #15781)

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-6mdk 
- Patch1: fix location of eds daemon (GNOME bug #15593)

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-5mdk
- fix buildrequires

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-4mdk
- fix buildrequires

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-3mdk
- fix buildrequires

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-2mdk
- fix devel deps

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-1mdk 
- Release 1.2.2 (based on Gtz Waschk package)

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk 
- Patch0 (CVS): fix webcal timezone handling
- Patch1 (CVS): fix eds not exiting (Mdk bug #13920)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk 
- Release 1.0.4

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.3-3mdk
- rebuild for ldap2.2_7

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- drop merged patches 0,1
- New release 1.0.2

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0 (CVS): fix file_as attribute for vcard
- Patch1 (CVS): fix duplication with remote calendars

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch0 (merged upstream)

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Patch0: Fix addressbook loading on AMD CPUs

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.99-1mdk
- Release 0.0.99

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.98-2mdk
- Rebuild with latest libsoup

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.98-1mdk
- requires new soup
- New release 0.0.98

* Tue Aug  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.97-1mdk
- New release 0.0.97

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.96-1mdk
- requires new soup
- New release 0.0.96

* Mon Jul  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.95-1mdk
- New release 0.0.95

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.94.1-1mdk
- New release 0.0.94.1

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.94-1mdk
- requires new soup
- New release 0.0.94

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.93-1mdk
- fix URL
- reenable libtoolize
- New release 0.0.93

* Thu Apr 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.92-2mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.92-1mdk
- Initial Mandrakelinux package
